<template>
    <div>
        <template v-if="operation.isOperation">
            <div class="operation-details operation">
                <div class="data">
                    <div class="title">Сумма займа</div>
                    <div class="info">{{operation.sum|currency}} ₽</div>
                </div>
                <div class="data">
                    <div class="title">Магазин</div>
                    <div class="info">{{operation.shop.name}}</div>
                </div>
                <div class="data">
                    <div class="title">Дата выдачи займа</div>
                    <div class="info">{{operation.date|date}}</div>
                </div>

                <div class="data">
                    <div class="title">Адрес</div>
                    <div class="info">{{operation.shop.address}}</div>
                </div>
                <div class="data">
                    <div class="title">Срок займа</div>
                    <div class="info">{{operation.period}} {{$helpers.plural(operation.period, ['месяц', 'месяца', 'месяцев'])}}</div>
                </div>
                <div class="data">
                    <div class="title">Номер договора</div>
                    <div class="info">{{operation.contract_number}}</div>
                </div>
                <div class="data">
                    <div class="title">Дата следующего платежа</div>
                    <div class="info">{{nextPaymentDate|dateWithoutTime}}</div>
                </div>
                <div class="data">
                    <div class="title">Сумма следующего платежа</div>
                    <div class="info">{{nextPaymentSum|currency}} ₽</div>
                </div>
            </div>
        </template>

        <template v-if="operation.isRejection">
            <div class="operation-details rejection">
                Деньги возвращены на Ваш счет.
            </div>

        </template>

        <template v-if="operation.isTransaction">
            <div class="operation-details transaction">
                <div class="data">
                    <div class="title">Тип операции</div>
                    <div class="info">Пополнение</div>
                </div>

                <div class="data">
                    <div class="title">Сумма платежа</div>
                    <div class="info">{{operation.sum|currency}} ₽</div>
                </div>
            </div>
        </template>
    </div>
</template>

<script>
    import dayjs from 'dayjs';
    import ScheduleMixin from '../mixins/schedule.js';
	export default {
        name: 'component-pos-operation-item-details',
        mixins: [ScheduleMixin],
        props: {
        	/** @type iPosOperation **/
        	operation: {
        		type: Object,
                required: true,
            }
        },

        filters: {
			date(date) {
				return dayjs(date).format('DD.MM.YYYY HH:mm');
			},

            dateWithoutTime (date) {
				return dayjs(date).format('DD.MM.YYYY');
            }
        }
	};
</script>

<style scoped>

</style>
